
Foreman - Feature #808

Add smart-proxy puppetrun to foreman

03/30/2011 10:56 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Puppet integration   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As of version 0.2 puppetrun is not in the proxy_api and there is only support for running puppetrun via GW::Puppet.run .

Associated revisions

Revision dd172ed7 - 03/14/2012 05:46 AM - Ohad Levy

fixes #808 - Add smart-proxy puppetrun to foreman

History

#1 - 07/18/2011 10:49 AM - Ohad Levy

puppetrun can be executed via the proxy, but the real question is how does foreman knows which proxy to run on?

at the moment, we have the ability to know who is the puppet master for a given host, but i think we need to break it down to a CA host, and maybe a

puppetrun host?

#2 - 03/13/2012 04:00 AM - Ohad Levy

- Category set to Puppet integration

- Assignee set to Ohad Levy

- Target version set to 1.0

#3 - 03/14/2012 05:49 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset dd172ed76e8abc0840f94a4224c91e11255710d1.
